Skip to main content
GET
/
search
/
research
/
papers
/
{id}
/
similar
Find related papers
curl --request GET \
  --url https://api.firecrawl.dev/v2/search/research/papers/{id}/similar \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "results": [
    {
      "paperId": "482107036680302043",
      "primaryId": "arxiv:2006.11239",
      "ids": {
        "arxiv": [
          "2006.11239"
        ]
      },
      "title": "Denoising Diffusion Probabilistic Models",
      "abstract": "We present high quality image synthesis results using diffusion probabilistic models...",
      "score": 0.032119,
      "signals": {
        "structural": 12,
        "semantic": 0.61,
        "articleRank": 0.00031,
        "seedOverlap": 2
      }
    }
  ],
  "poolSize": 40,
  "truncated": false
}
Expand from a seed paper through structural expansion and rank candidate papers against a natural-language intent. Use mode to choose similar papers, citers, or references. For a workflow overview, see the Research Index guide.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Primary seed paper reference.

Query Parameters

intent
string
required

Natural-language ranking/filtering intent used for semantic ranking.

Minimum string length: 1
mode
enum<string>
default:similar

Structural expansion mode.

Available options:
similar,
citers,
references
k
integer
default:40

Maximum number of related papers to return.

Required range: 1 <= x <= 500
rerank
boolean

Apply an additional rerank over fused candidates.

anchor
string

Additional seed paper reference. Repeat this parameter for multiple anchors.

Response

Ranked related papers.

success
boolean
required
results
object[]
required
poolSize
integer
required
Required range: x >= 0
truncated
boolean
required
note
string | null